Subject: bug#62517: closed (Re: bug#62517: installer-dump-ed8ac2cb)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 May 2023 08:12:02 +0000

Your bug report

#62517: installer-dump-ed8ac2cb

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62517: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62517
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62517: installer-dump-ed8ac2cb
From: Graham Addis <[email-masked]>
To: [email-masked]
Date: Thu, 25 May 2023 09:11:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, 20 May 2023 at 16:05, Graham Addis <[email-masked]> wrote:
>
> I never did get KVM enabled on my windows 10 box.
>
> I ended up doing a bare metal guix install on an old laptop I had,
> which works fine, if a little slow.
>
> I'll close this. Thanks Simon
>
> On Tue, 16 May 2023 at 16:06, Simon Tournier <[email-masked]> wrote:
> >
> > Hi,
> >
> > Sorry for the late reply.
> >
> > On Wed, 29 Mar 2023 at 11:31, Graham Addis <[email-masked]> wrote:
> >
> > > qemu didn't like the -enable-kvm switch, so I left that out.
> >
> > I guess you need to enable KVM on your host distribution.  On default
> > Debian, I am running something like:
> >
> >     1. Check if =/dev/kvm= is there: =ls -l /dev/kvm=
> >     2. Add the user to the KVM group
> >        #+begin_src shell
> >          sudo usermod -a -G kvm <user>
> >          newgrp kvm
> >        #+end_src
> >     3. If it does not work, then try:
> >        #+begin_src shell
> >          sudo chmod 777 /dev/kvm
> >        #+end_src
> >
> > Once KVM is enable, do you have still the same issue?
> >
> > Cheers,
> > simon

Subject: installer-dump-ed8ac2cb
From: Graham Addis <[email-masked]>
To: [email-masked]
Date: Wed, 29 Mar 2023 11:31:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have been trying to install guix into a qemu virtual machine on
windows. I've tried it several times and it fails with the same error.

Instructions taken from this site
https://guix.gnu.org/manual/en/html_node/Running-Guix-in-a-VM.html

qemu didn't like the -enable-kvm switch, so I left that out.

Thanks,

Graham